Package org.silverpeas.components.resourcesmanager.web

# Class ReservedResourceEntity

java.lang.Object
org.silverpeas.components.resourcesmanager.web.ResourceEntity
org.silverpeas.components.resourcesmanager.web.ReservedResourceEntity

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.web.rs.WebEntity`

public class ReservedResourceEntity extends ResourceEntity
Web entity abstraction which provides common event informations of the entity

Author:
  Yohann Chastagnier
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ReservedResourceEntity()`
  `protected`
  `ReservedResourceEntity(Resource resource)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ReservedResourceEntity`
  `createFrom(Resource resource)`
  Creates a new resource entity from the specified resource.
  `URI`
  `getReservationURI()`
  `URI`
  `getResourceURI()`
  `String`
  `getStatus()`
  `<T extends ResourceEntity>
  T`
  `withReservationURI(URI reservationURI)`
  `ReservedResourceEntity`
  `withURI(URI uri)`
  Sets a URI to this entity.

  ### Methods inherited from class org.silverpeas.components.resourcesmanager.web.ResourceEntity

  `equals, getCategoryURI, getDescription, getId, getName, getURI, hashCode, withCategoryURI`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReservedResourceEntity

    protected ReservedResourceEntity(Resource resource)

  - ### ReservedResourceEntity

    protected ReservedResourceEntity()

- ## Method Details

  - ### withURI

    public ReservedResourceEntity withURI(URI uri)
    Description copied from class: `ResourceEntity`
    Sets a URI to this entity. With this URI, it can then be accessed through the Web.
    Overrides:
      `withURI` in class `ResourceEntity`
    Parameters:
      `uri` - the web entity URI.
    Returns:
      itself.

  - ### withReservationURI

    public <T extends ResourceEntity> T withReservationURI(URI reservationURI)

  - ### createFrom

    public static ReservedResourceEntity createFrom(Resource resource)
    Creates a new resource entity from the specified resource.
    Parameters:
      `resource` -
    Returns:
      the entity representing the specified resource.

  - ### getResourceURI

    public URI getResourceURI()

  - ### getReservationURI

    public URI getReservationURI()

  - ### getStatus

    public String getStatus()